Sprachpaket ohne Connect? 

Please LogIn to Reply!

Post By: admin | 26-01-2012 06:35 Reply

 

Hallo zusammen,

habe eben eine Neue Installation von Magento 1.6.2 zum Testen gemacht. Läuft auch alles. Leider bekomme ich das deutsche Sprachpaket über den Connect Manager nicht installiert.
Diesen Fehler bekomme ich:
community/Locale_Mage_community_de_DE: Could not resolve host: connect20.magentocommerce.com; Host not found

ich schätze der Fehler kommt, da der Proxyserver, hinter dem mein Rechner sitzt, die Anfrage blockiert. Der Proxyserver benötigt eine Benutzeranmeldung, die ich hier wohl nicht mitgeben kann.

Hab ich noch eine andere Chance an das deutsche Sprachpaket zu kommen? Gibt es irgendwo ein Package zum download?

Wäre schön wenn mir jemand einen Tipp geben kann smile

MfG

 

Nein, der Fehler kommt daher das du den falschen Extension Key benutzt - ab Magento 1.5 nur noch die Connect 2 Codes verwenden.

Also in dem Fall: http://connect20.magentocommerce.com/community/Locale_Mage_community_de_DE

Wenn du anschließend das Backend auch nahezu komplett übersetzt haben möchtst dann ist wichtig die folgende Datei in die Datenbank zu importieren: app/locale/de_DE/sql_translation/attributes.sql

(Kannst auch den Inhalt der Datei kopieren & so in phpMyAdmin ausführen)

Du brauchst übrigens für alle Extensions in deiner Instanz den Connect 2.0 Code!

LG - Daniel

 Signature 

Currently on Magento: 1.5.1.0, 1.6.1.0 & 1.6.2.0

Profile: XING | twitter | github

- Kontakt, Support + Projektanfragen gerne über meine Webseite
- Magento Theming, Hosting, Modulentwicklung, Performance-Optimierung (Magento + Server)
- Support ab 79€ zzgl. MwSt. / Stunde

 

Hi,

danke für die Antwort. Genau diesen Key habe ich auch benutzt.
Hier habe ich Magento Connect 2.0 ausgewählt und den Extension Key kopiert. Der bringt leider diesen Fehler.

Ich hab allerdings schon mit PHP und externen Seiten die Erfahrung gemacht, dass das nur mit vorheriger Anmeldung am Proxyserver funktioniert.

 

Ok, alles klar - sorry habe ich überlesen, ja du hast das korrekteKey Format genutzt sehe ich gerade…

LG, Daniel

 Signature 

Currently on Magento: 1.5.1.0, 1.6.1.0 & 1.6.2.0

Profile: XING | twitter | github

- Kontakt, Support + Projektanfragen gerne über meine Webseite
- Magento Theming, Hosting, Modulentwicklung, Performance-Optimierung (Magento + Server)
- Support ab 79€ zzgl. MwSt. / Stunde

 

wenns garnicht anders geht, kannste ja auch einfach ohne den connect manager installieren.

so wahnsinnig toll finde ich den sowieso nicht..

edit: den link hats irgendwie rausgehauen ^^

nochmal:
http://freegento.com/magento-extensions/Locale_Mage_community_de_DE-1.5.1.1_ready2paste.tgz

 

Nimm das Package im Anhang, es kann ja in neueren Connect Managern per Upload installiert werden wink

LG, Daniel

File Attachments
Locale_Mage_community_de_DE-1.6.1.0.1.tgz  (File Size: 1072KB - Downloads: 45)
 Signature 

Currently on Magento: 1.5.1.0, 1.6.1.0 & 1.6.2.0

Profile: XING | twitter | github

- Kontakt, Support + Projektanfragen gerne über meine Webseite
- Magento Theming, Hosting, Modulentwicklung, Performance-Optimierung (Magento + Server)
- Support ab 79€ zzgl. MwSt. / Stunde

 

danke für den Link. Den hab ich gesucht.

Ich hab die Dateien vom ersten Link in die Ordner kopiert und bekomme jetzt Error 503 (wahrscheinlich wegen der version?). Ich probiers mal mit dem Package über den Manager. vielen Dank!!

 

Ich hab versucht die tar Datei direkt als Package upload einzustellen, bekomme jedoch diesen Fehler:
CONNECT ERROR: Package file is invalid

Woran kann das liegen?

Ich glaube zwar nicht, dass ich die tar Datei entpacken muss. Habe es trotzdem gemacht und die Datei getestet. Da bekomm ich diesen Fehler:
Invalid package name, allowed: [a-zA-Z0-9_-] chars
Invalid version, should be like: x.x.x
Invalid stability
Invalid date, should be YYYY-DD-MM
Invalid channel URL
Empty authors section
Empty package contents section
das wird dann falsch sein wink

 

Nein, nicht entpacken! Sow wie sie ist über den Connect Manager installieren.
Aber eben nicht per Extension Key sondern über die Methode die darunter aufgeführt ist (upload).

An sich sollte es schon ein Paket sein nach Channel 2.0 Format.

LG - Daniel

 Signature 

Currently on Magento: 1.5.1.0, 1.6.1.0 & 1.6.2.0

Profile: XING | twitter | github

- Kontakt, Support + Projektanfragen gerne über meine Webseite
- Magento Theming, Hosting, Modulentwicklung, Performance-Optimierung (Magento + Server)
- Support ab 79€ zzgl. MwSt. / Stunde

 

Ist ja komisch das es zu diesem Fehler kommt…

Probiere mal dieses Paket hier: http://connect20.magentocommerce.com/community/Locale_Mage_community_de_DE/1.5.1.1/Locale_Mage_community_de_DE-1.5.1.1.tgz

Sollte dann aber upgedated werden da Version veraltet.

Es ist möglich das die Foren Software hier mein Package geschrottet hat!

LG, Daniel

 Signature 

Currently on Magento: 1.5.1.0, 1.6.1.0 & 1.6.2.0

Profile: XING | twitter | github

- Kontakt, Support + Projektanfragen gerne über meine Webseite
- Magento Theming, Hosting, Modulentwicklung, Performance-Optimierung (Magento + Server)
- Support ab 79€ zzgl. MwSt. / Stunde

 

Hatte ich mir schon gedacht.
Nachdem ich allerdings die tar Datei unter “Direct package file upload” ausgewählt habe wird mir der Fehler angezeigt:
CONNECT ERROR: Unsupported resource type
Und beim Versuch nun ins Frontend oder Backend zu kommen wird mir nur noch ein “Service Temporarily Unavailable” angezeigt. Das sieht nicht so ganz normal aus? Hast du noch einen Tipp für mich?

 

hey. also bei meinem link oben gehts so:

1. runterladen
2. die tgz.gz entpacken.
3. nochmal entpacken (es ist eine .tgz innerhalb der tgz.gz)
4. in den unterordner wechseln
5. wir sehen jetzt die ordner -> app, downloader, js
6. diese 3 ordner komplett in /magento/ reinziehen. fertig

 

Das Package getestet was ich in der letzten Mail verlinkt habe???

Ja, zunächst sollte man diesen Wartungsmodus im Connect Manager abwählen, sehr lästig (oben links)

Jetzt wo der Shop im Wartungsmodus ist, einfach im Magento Hauptordner die Datei maintanance.flag löschen
und es sollte wieder gehen.

 Signature 

Currently on Magento: 1.5.1.0, 1.6.1.0 & 1.6.2.0

Profile: XING | twitter | github

- Kontakt, Support + Projektanfragen gerne über meine Webseite
- Magento Theming, Hosting, Modulentwicklung, Performance-Optimierung (Magento + Server)
- Support ab 79€ zzgl. MwSt. / Stunde

 
Highspeeddot - 13 March 2012 08:37 AM

hey. also bei meinem link oben gehts so:

1. runterladen
2. die tgz.gz entpacken.
3. nochmal entpacken (es ist eine .tgz innerhalb der tgz.gz)
4. in den unterordner wechseln
5. wir sehen jetzt die ordner -> app, downloader, js
6. diese 3 ordner komplett in /magento/ reinziehen. fertig

Ja, klar kann man machen - jedoch wird der Connect Manager dann niemals was von dem Modul erfahren & die Extension ist somit auch nicht direkt updatebar. Überschreibung mit neuen Dateien mal außen vor - klar in aller letzter Instanz funktioniert das.

LG, Daniel

 Signature 

Currently on Magento: 1.5.1.0, 1.6.1.0 & 1.6.2.0

Profile: XING | twitter | github

- Kontakt, Support + Projektanfragen gerne über meine Webseite
- Magento Theming, Hosting, Modulentwicklung, Performance-Optimierung (Magento + Server)
- Support ab 79€ zzgl. MwSt. / Stunde

 

komisch, egal welche Datei ich nun auswähle kommt ein Fehler. Bei der 1.5.1 nur ein Fehler, dass er eine Datei nicht schreiben konnte, obwohl Schreibrechte im Ordner vorhanden sind.
Das Kontrollkästchen im connect Manager hatte ich deaktiviert, aber hat er nicht übernommen. so gehts dann wieder.

Das mit dem kopieren muss ich jetzt mal machen.

 

Achtung, bei jedem erneuten Laden der Connect Manager Seite wird diese Wartungsoption wieder gesetzt, also rechtzeitig wieder raus nehmen!!!

Folgendes dürfte auch funktionieren:

- Datei im Anhang herunterladen
- das .zip Archiv entpacken
- die XML Datei die darin ist nach /var/package hochladen
- wenn alle Caches und Sessions leer sind dann sollte dir
das Sprachpaket im Connect Manager aufgelistet sein.
- Dann eben per “Reinstall” die echte Installation einleiten…

LG, Daniel

File Attachments
Locale_Mage_community_de_DE-1.6.1.0.1.xml.zip  (File Size: 13KB - Downloads: 25)
 Signature 

Currently on Magento: 1.5.1.0, 1.6.1.0 & 1.6.2.0

Profile: XING | twitter | github

- Kontakt, Support + Projektanfragen gerne über meine Webseite
- Magento Theming, Hosting, Modulentwicklung, Performance-Optimierung (Magento + Server)
- Support ab 79€ zzgl. MwSt. / Stunde

`Reply Or Comment!
Please LogIn to Reply!